## mingw-w64-pragtical-3.5.0-1.src.tar.zst

=== meson_options.txt ===
option('bundle', type : 'boolean', value : false, description: 'Build a macOS bundle')
option('source-only', type : 'boolean', value : false, description: 'Configure source files only, doesn\'t checks for dependencies')
option('portable', type : 'boolean', value : false, description: 'Portable install')
option('renderer', type : 'boolean', value : false, description: 'Use SDL renderer')
option('dirmonitor_backend', type : 'combo', value : '', choices : ['', 'inotify', 'fsevents', 'kqueue', 'win32', 'dummy'], description: 'define what dirmonitor backend to use')
option('arch_tuple', type : 'string', value : '', description: 'Specify a custom architecture tuple')
option('use_system_lua', type : 'boolean', value : false, description: 'Prefer System Lua over the meson wrap')
option('extra_colors', type : 'boolean', value : true, description: 'Include additional colors')
option('extra_languages', type : 'boolean', value : true, description: 'Include additional language plugins')
option('ppm', type : 'boolean', value : true, description: 'Include the plugin manager')
option('jit', type : 'boolean', value : true, description: 'Use luajit')
