=== subprojects/packagefiles/colors/meson_options.txt ===
option('data_dir', type : 'string', value : '/', description: 'Data directory of installation')
